tableType_s Struct Reference
Collaboration diagram for tableType_s:
[legend]

## Data Fields

const char *const | key
const int | hasCanon
const int | hasTranslate
struct machEquivTable_s | equiv
struct machCache_s | cache
defaultEntry | defaults
canonEntry | canons
int | defaultsLength
int | canonsLength

## Detailed Description

Definition at line 104 of file rpmrc.c.

## Field Documentation

struct machCache_s tableType_s::cache

Definition at line 109 of file rpmrc.c.

Referenced by rebuildCompatTables(), and rpmFreeRpmrc().

canonEntry tableType_s::canons

Definition at line 111 of file rpmrc.c.

Referenced by rpmFreeRpmrc().

int tableType_s::canonsLength

Definition at line 113 of file rpmrc.c.

Referenced by rpmFreeRpmrc().

defaultEntry tableType_s::defaults

Definition at line 110 of file rpmrc.c.

Referenced by rpmFreeRpmrc().

int tableType_s::defaultsLength

Definition at line 112 of file rpmrc.c.

Referenced by rpmFreeRpmrc().

struct machEquivTable_s tableType_s::equiv

Definition at line 108 of file rpmrc.c.

Referenced by machAddEquiv(), rebuildCompatTables(), rpmFreeRpmrc(), and rpmShowRC().

const int tableType_s::hasCanon

Definition at line 106 of file rpmrc.c.

const int tableType_s::hasTranslate

Definition at line 107 of file rpmrc.c.

const char* const tableType_s::key

Definition at line 105 of file rpmrc.c.

Referenced by rebuildCompatTables().

The documentation for this struct was generated from the following file:

- lib/rpmrc.c